## octave-fixed 0.7.6

=== DESCRIPTION ===
Name: Fixed
Version: 0.7.6
Date: 2008-04-29
Author: David Bateman
Maintainer: David Bateman
Title: Fixed Point Computations.
Description: Fixed point real and complex matrix toolbox
Depends: octave (> 2.9.14)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
