=== examples/Makefile ===
sinclude ../src/Makeconf

LINKTARGETS = fifft.oct
LINKSOURCE = ffft.oct
SOURCES = $(wildcard *.cc)
TARGETS = $(patsubst %.cc,%.oct,$(SOURCES)) $(LINKTARGETS)
OBJECTS = $(patsubst %.cc,%.o,$(SOURCES))
DEPENDS = $(patsubst %.cc,%.d,$(SOURCES))
INCLUDES = -I../src
DEFINES = 

ifneq (,$(findstring cygwin,$(canonical_host_type)))
   MOFLAGS = -L../src -lfixed
endif
ifneq (,$(findstring mingw,$(canonical_host_type)))
   MOFLAGS = -L../src -lfixed
endif
ifneq (,$(findstring msdosmsvc,$(canonical_host_type)))
   MOFLAGS = -L../src -lfixed
endif

.PHONY: all clean count
%.oct : %.cc 
.SUFFIXES:
.SUFFIXES: .cc .oct .o .h
# This stuff doesn't build on OS X at the moment. Till someone
# fixes it, disable the build...
ifeq (,$(findstring darwin,$(canonical_host_type)))
all: $(DEPENDS) $(OBJECTS) $(TARGETS)
else
all:
	@echo "****** WARNING: Building of examples disabled for Darwin";
endif

ifneq (,$(wildcard *.d))
include $(wildcard *.d)
endif

$(LINKTARGETS) :
	@echo "Symbolic linking $@ to $(LINKSOURCE)"; \
	$(RM) $@; \
	$(LN_S) $(LINKSOURCE) $@

%.oct: %.d %.o
	@echo "Linking $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(@:.oct=.o) -o $@

%.d: %.cc
	@echo "Depending $<"; \
	$(MKOCTFILE) $(INCLUDES) $(DEFINES) -M $<

%.o: %.cc
	@echo "Compiling $@"; \
	$(MKOCTFILE) $(INCLUDES) $(DEFINES) -c $< 

clean:
	@echo "Cleaning..."; \
	$(RM) $(OBJECTS) $(DEPENDS) $(TARGETS) *~ octave-core *.ps

count:
	wc *{.cc,.h}
