## octave-fixed 0.7.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Fixed
-Version: 0.7.6
-Date: 2008-04-29
+Version: 0.7.8
+Date: 2008-08-23
 Author: David Bateman
 Maintainer: David Bateman
 Title: Fixed Point Computations.
