=== debian/changelog ===
octave-fixed (0.7.10-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571931)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump Standards-Version to 3.9.1, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Update watch file to changed upstream location

 -- Thomas Weber <tweber@debian.org>  Fri, 15 Apr 2011 19:49:14 +0200

octave-fixed (0.7.10-2) unstable; urgency=low

  * Upload to unstable. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 02 Dec 2009 23:40:46 +0100

octave-fixed (0.7.10-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + Build-depend on octave-pkg-dev >= 0.7.0, such that the
      package is built against octave3.2
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

  [ Thomas Weber ]
  * New upstream release
  * Bump standards version to 3.8.2, no changes needed
  * Use octave-fixed.docs for document's installation
  * debian/patches/build-with-3.2: New patch, taken from upstream's SVN for
    building with Octave 3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 18 Jul 2009 22:42:58 +0200

octave-fixed (0.7.8-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 20:51:13 +0200

octave-fixed (0.7.8-2) experimental; urgency=low

  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 07 Dec 2008 19:13:34 +0100

octave-fixed (0.7.8-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Drop removal of files, they are removed in new upstream
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * debian/control:
    - Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
      version
    - Add quilt for patches
  * debian/patches/install-info-files: Install fixed.texi into info structure
    (closes: #502295)
  * debian/rules: create info file for installation, add quilt rule

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 05 Dec 2008 23:33:16 +0100

octave-fixed (0.7.6-2) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/copyright: Add licensing terms for the files in the doc
    directory (finally, closes: #468500)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Jun 2008 19:12:00 +0200

octave-fixed (0.7.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release.  The source files doc/fixed.txi and
    doc/fixed.texi for the PDF documentation are included in this version
    (really, closes: #468500)

  [ Rafael Laboissiere ]
  * Drop patches pkg-add-autoloads.diff, mister-proper.diff and
    shared-lib.diff (applied upstream)
  * debian/rules, debian/control: Do not use quilt anymore

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 08:25:31 +0000

octave-fixed (0.7.5-1) unstable; urgency=low

  * Initial release (closes: #468500)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 08 Feb 2008 00:43:04 +0100
