=== debian/control ===
Source: octave-fixed
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/fixed
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-fixed.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-fixed.git

Package: octave-fixed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: fixed point computation for Octave
 When implementing algorithms in hardware, it is common to reduce the
 accuracy of the representation of numbers to a smaller number of bits.
 This allows much lower complexity in the hardware, at the cost of
 accuracy and potential overflow problems. Such representations are
 known as fixed point.
 .
 This package supplies a fixed point type that allows Octave, a
 numerical computational software, to model the effects of such a
 reduction in accuracy of the representation of numbers.  The major
 advantage of this package is that with correctly written Octave
 scripts, the same code can be used to test both fixed and floating
 point representations of numbers.
 .
 This Octave add-on package is part of the Octave-Forge project.
