=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

# generate info docs after the build
build/octave-fixed::
	cd doc/ && makeinfo fixed.texi
